hid-generic 0005:099A:0500.0001: unknown main item tag 0x0

Bug #1385113 reported by Cristian Aravena Romero on 2014-10-24
150
This bug affects 29 people
Affects Status Importance Assigned to Milestone
Linux
Confirmed
Medium
linux (Ubuntu)
Medium
Unassigned

Bug Description

Message with Mouse Bluetooth

[ 32.960478] hid-generic 0005:099A:0500.0001: unknown main item tag 0x0

ProblemType: Bug
DistroRelease: Ubuntu 14.10
Package: linux-image-3.16.0-23-generic 3.16.0-23.31
ProcVersionSignature: Ubuntu 3.16.0-23.31-generic 3.16.4
Uname: Linux 3.16.0-23-generic x86_64
ApportVersion: 2.14.7-0ubuntu8
Architecture: amd64
AudioDevicesInUse:
 USER PID ACCESS COMMAND
 /dev/snd/controlC0: caravena 3344 F.... pulseaudio
CurrentDesktop: GNOME
Date: Fri Oct 24 05:22:54 2014
HibernationDevice: RESUME=UUID=360bd2d2-4f44-4311-86d6-4781ac81ee87
InstallationDate: Installed on 2014-09-25 (29 days ago)
InstallationMedia: Ubuntu-GNOME 14.10 "Utopic Unicorn" - Alpha amd64 (20140923)
MachineType: SAMSUNG ELECTRONICS CO., LTD. 530U3C/530U4C
ProcFB: 0 inteldrmfb
ProcKernelCmdLine: BOOT_IMAGE=/@/boot/vmlinuz-3.16.0-23-generic root=UUID=0fb75fae-baa3-428b-ace4-498e69ff7fb6 ro rootflags=subvol=@ quiet splash nomdmonddf nomdmonisw nomdmonddf nomdmonisw vt.handoff=7
RelatedPackageVersions:
 linux-restricted-modules-3.16.0-23-generic N/A
 linux-backports-modules-3.16.0-23-generic N/A
 linux-firmware 1.138
SourcePackage: linux
UpgradeStatus: No upgrade log present (probably fresh install)
dmi.bios.date: 04/15/2013
dmi.bios.vendor: Phoenix Technologies Ltd.
dmi.bios.version: P14AAJ
dmi.board.asset.tag: Base Board Asset Tag
dmi.board.name: SAMSUNG_NP1234567890
dmi.board.vendor: SAMSUNG ELECTRONICS CO., LTD.
dmi.board.version: FAB1
dmi.chassis.asset.tag: No Asset Tag
dmi.chassis.type: 9
dmi.chassis.vendor: SAMSUNG ELECTRONICS CO., LTD.
dmi.chassis.version: 0.1
dmi.modalias: dmi:bvnPhoenixTechnologiesLtd.:bvrP14AAJ:bd04/15/2013:svnSAMSUNGELECTRONICSCO.,LTD.:pn530U3C/530U4C:pvr0.1:rvnSAMSUNGELECTRONICSCO.,LTD.:rnSAMSUNG_NP1234567890:rvrFAB1:cvnSAMSUNGELECTRONICSCO.,LTD.:ct9:cvr0.1:
dmi.product.name: 530U3C/530U4C
dmi.product.version: 0.1
dmi.sys.vendor: SAMSUNG ELECTRONICS CO., LTD.

This change was made by a bot.

Changed in linux (Ubuntu):
status: New → Confirmed
Joseph Salisbury (jsalisbury) wrote :

Would it be possible for you to test the latest upstream kernel? Refer to https://wiki.ubuntu.com/KernelMainlineBuilds . Please test the latest v3.18 kernel[0].

If this bug is fixed in the mainline kernel, please add the following tag 'kernel-fixed-upstream'.

If the mainline kernel does not fix this bug, please add the tag: 'kernel-bug-exists-upstream'.

If you are unable to test the mainline kernel, for example it will not boot, please add the tag: 'kernel-unable-to-test-upstream'.
Once testing of the upstream kernel is complete, please mark this bug as "Confirmed".

Thanks in advance.

[0] http://kernel.ubuntu.com/~kernel-ppa/mainline/v3.18-rc1-utopic/

Changed in linux (Ubuntu):
importance: Undecided → Medium
status: Confirmed → Incomplete

Message with Mouse Bluetooth

[ 32.960478] hid-generic 0005:099A:0500.0001: unknown main item tag 0x0

https://bugs.launchpad.net/ubuntu/+source/linux/+bug/1385113

Same issue here. I don't have the bandwidth to try the mainline kernel at this time though.

The bluetooth mouse information is: Microsoft Sculpt Mouse.

[ 2384.040278] hid-generic 0005:045E:077C.0001: unknown main item tag 0x0
[ 2384.040419] input: Microsoft Sculpt Touch Mouse as /devices/pci0000:00/0000:00:1d.3/usb5/5-1/5-1:1.0/bluetooth/hci0/hci0:11/0005:045E:077C.0001/input/input12

uname: Linux 3.16.0-28-lowlatency #38-Ubuntu SMP PREEMPT Fri Dec 12 18:06:05 UTC 2014 x86_64 x86_64 x86_64 GNU/Linux

poet_imp (paul-lemmons) wrote :

I tried 3.19 under ubunto 14.10 and the problem was resolved.

#kernel-fixed-upstream

Janne Savikko (jsavikko) wrote :

This bug is present in Ubuntu Vivid Vervet with Microsoft Bluetooth keyboard. It comes usually after a while when system has been idling and keyboard is in sleep mode.

[12326.421754] hid-generic 0005:045E:0762.000E: unknown main item tag 0x0
[12326.422274] input: Microsoft Bluetooth Mobile Keyboard 6000 as /devices/pci0000:00/0000:00:1d.0/usb4/4-1/4-1.6/4-1.6:1.0/bluetooth/hci0/hci0:35/0005:045E:0762.000E/input/input28
[12326.422767] hid-generic 0005:045E:0762.000E: input,hidraw3: BLUETOOTH HID v0.13 Keyboard [Microsoft Bluetooth Mobile Keyboard 6000] on c4:85:08:b6:25:af

Tested with latest "linux-image-3.19.0-9-generic" that comes with Vivid Vervet as also tested with mainline kernel "linux-image-3.19.2-031902-generic".

poet_imp (paul-lemmons) wrote :

I reported success a bit prematurely. The problem has been much improved but it still persists in Vivid in the 4.0 kernel. I have found that if I place the laptop in sleep mode and resume it that it corrects the issue.

This is still present in 4.0.0. Bluetooth keyboard disconnects, bluetoothd seems to crash, etc.

Do you need any further information to help debug this? This bug makes the bluetooth keyboard unusable.

Ville Ranki (ville-ranki) wrote :

"Me too" here, except with Logitech DiNovo Edge mouse+keyboard combo. The keyboard stops working while mouse works and "unknown main item tag 0x0" is found in the log.

#1410699 and #1442896 are probably related or duplicate.

This used to work until end of summer 2015. I don't know an exact date. Running Ubuntu 15.04.

Master (umely) wrote :

"Me too" here, except with Gigabyte m7700b mouse. The mouse stops working and "unknown main item tag 0x0" is found in the log.
Running Ubuntu 14.04, KUbuntu 15.10 too.

Stephan Diestelhorst (syon) wrote :

Smae here, Microsoft Wireless Presenter Mouse 8000, Linux 4.2.0-34-generic on Kubuntu 15.10.

Same in 4.2.0 (-34-generic in Ubuntu 15.10).

Bluetooth behavior was good in ubuntu 15.10 - bluez5.35, blueman device manager and kernel 4.3.6. I use a bt mouse and OEM bt keydock (Asus T100-CHI)

Starting with 4.4 thru 4.6-rc1-next*, I have to open blueman's device manager to search for devices after idle timeouts. I also need to leave the device manager dialogue open/minimized to prevent rapid loss of connection. Device pairing is remembered, but manually searching is difficult when the pointing devices stop working. My test setup has a usb mouse as a workaround.

dmesg has "unknown main item tag 0x0" after each idle timeout". If I move mouse during boot, it will auto-connect, but it then suffers a rapid timeout soon after booting. See dmesg posted at #114561. It looks like something is incrementing the bluetooth input assignment # when anything times out.

Ubuntu Gnome 16.04, Kernel 4.4 and i have the problem

DocWilco (k-ubuntuone-m) wrote :

I too get frequent disconnects. Even while using the mouse.

Microsoft Sculpt Touch Mouse

Ubuntu 16.04

Linux malina 4.4.0-34-generic #53-Ubuntu SMP Wed Jul 27 16:06:39 UTC 2016 x86_64 x86_64 x86_64 GNU/Linux

[18241.592480] hid-generic 0005:045E:077C.000D: unknown main item tag 0x0

simon place (psiplace) wrote :

"me too"

Microsoft Sculpt Comfort Mouse

Ubuntu 16.04

Linux ?????? 4.4.0-36-generic #55-Ubuntu SMP Thu Aug 11 18:01:55 UTC 2016 x86_64 x86_64 x86_64 GNU/Linux

[ 1182.371603] hid-generic 0005:045E:07A2.0003: unknown main item tag 0x0

I see this here, with the 4.7 kernel in Debian.

$ uname -a
Linux pallas 4.7.0-1-amd64 #1 SMP Debian 4.7.5-1 (2016-09-26) x86_64 GNU/Linux

[379781.198012] hid-generic 0005:05AC:3232.004F: unknown main item tag 0x0
[379781.198089] input: YHK-Mouse as /devices/pci0000:00/0000:00:14.0/usb1/1-3/1-3:1.0/bluetooth/hci0/hci0:12/0005:05AC:3232.004F/input/input103
[379781.198383] hid-generic 0005:05AC:3232.004F: input,hidraw0: BLUETOOTH HID v0.01 Mouse [YHK-Mouse] on c4:8e:8f:f5:64:be

Apparently really cheap mice are affected too!

Jani Tykkä (jtykka) wrote :

I'm also experiencing the same issue with Apple trackpad and Apple keyboard:

Linux nuc 4.4.0-42-generic #62-Ubuntu SMP Fri Oct 7 23:11:45 UTC 2016 x86_64 x86_64 x86_64 GNU/Linux

From syslog:
Oct 21 18:49:06 nuc bluetoothd[732]: GLib: Source ID 2742 was not found when attempting to remove it
Oct 21 18:49:36 nuc bluetoothd[732]: Can't get HIDP connection info

From kern.log
Oct 21 18:49:40 nuc kernel: [693042.922234] magicmouse 0005:05AC:030E.002A: unknown main item tag 0x0
Oct 21 18:49:40 nuc kernel: [693042.922426] input: jani’s trackpad as /devices/pci0000:00/0000:00:14.0/usb1/1-9/1-9:1.0/bluetooth/hci0/hci0:256/0005:05AC:030E.002A/input/input52
Oct 21 18:49:40 nuc kernel: [693042.922884] magicmouse 0005:05AC:030E.002A: input,hidraw1: BLUETOOTH HID v1.60 Mouse [appsdev’s trackpad] on 00:c2:c6:c5:98:e1

Jim Raredon (decoy-umd) wrote :

Still happens in Ubuntu 16.10 about every 10 to 15 minutes or so. I have to restart Bluetooth to get the mouse back every time.

[169553.167836] hid-generic 0005:0A5C:0001.0021: unknown main item tag 0x0
[169553.168076] input: Bluetooth 3.0 mouse as /devices/pci0000:00/0000:00:1d.0/usb2/2-1/2-1.6/2-1.6:1.0/bluetooth/hci0/hci0:35/0005:0A5C:0001.0021/input/input115
[169553.168384] hid-generic 0005:0A5C:0001.0021: input,hidraw0: BLUETOOTH HID v1.29 Mouse [Bluetooth 3.0 mouse] on c4:d9:87:27:bd:b0
[172520.582427] hid-generic 0005:0A5C:0001.0022: unknown main item tag 0x0
[172520.582641] input: Bluetooth 3.0 mouse as /devices/pci0000:00/0000:00:1d.0/usb2/2-1/2-1.6/2-1.6:1.0/bluetooth/hci0/hci0:35/0005:0A5C:0001.0022/input/input116
[172520.582961] hid-generic 0005:0A5C:0001.0022: input,hidraw0: BLUETOOTH HID v1.29 Mouse [Bluetooth 3.0 mouse] on c4:d9:87:27:bd:b0

Vyacheslav (slavanap) wrote :
Download full text (4.9 KiB)

Same here.
$ lsb_release -rd
Description: Ubuntu 16.04.1 LTS
Release: 16.04
$ uname -a
Linux Aspire-3830TG 4.4.0-53-generic #74-Ubuntu SMP Fri Dec 2 15:59:10 UTC 2016 x86_64 x86_64 x86_64 GNU/Linux

The bluetooth sometimes fails to initialize, sometimes drops after few minutes, sometime just works.
Moreover, I can turn on bluetooth only with quick menu (close to clock). Turning on with Bluetooth Settings does not work (does not show devices on search, when adding a device).

[ 6.099353] Bluetooth: Core ver 2.21
[ 6.099383] NET: Registered protocol family 31
[ 6.099385] Bluetooth: HCI device and connection manager initialized
[ 6.099391] Bluetooth: HCI socket layer initialized
[ 6.099395] Bluetooth: L2CAP socket layer initialized
[ 6.099405] Bluetooth: SCO socket layer initialized
[ 6.114950] usbcore: registered new interface driver btusb
[ 6.167519] usbcore: registered new interface driver ath3k
[ 6.361226] usb 1-1.6: USB disconnect, device number 4
[ 6.558938] usb 1-1.6: new full-speed USB device number 5 using ehci-pci
[ 7.262970] Bluetooth: BNEP (Ethernet Emulation) ver 1.3
[ 7.262974] Bluetooth: BNEP filters: protocol multicast
[ 7.262979] Bluetooth: BNEP socket layer initialized
[ 11.630789] usb 1-1.6: device descriptor read/64, error -110
[ 12.429502] Non-volatile memory driver v1.3
[ 16.828546] usb 1-1.6: New USB device found, idVendor=0489, idProduct=e03c
[ 16.828549] usb 1-1.6: New USB device strings: Mfr=1, Product=2, SerialNumber=3
[ 16.828551] usb 1-1.6: Product: Bluetooth USB Host Controller
[ 16.828552] usb 1-1.6: Manufacturer: Atheros Communications
[ 16.828554] usb 1-1.6: SerialNumber: Alaska Day 2006
[ 16.936225] Bluetooth: RFCOMM TTY layer initialized
[ 16.936232] Bluetooth: RFCOMM socket layer initialized
[ 16.936238] Bluetooth: RFCOMM ver 1.11
[ 81.621554] hidraw: raw HID events driver (C) Jiri Kosina
[ 81.623955] Bluetooth: HIDP (Human Interface Emulation) ver 1.2
[ 81.623963] Bluetooth: HIDP socket layer initialized
[ 81.671362] hid-generic 0005:045E:07A2.0001: unknown main item tag 0x0
[ 81.671800] input: Microsoft Sculpt Comfort Mouse as /devices/pci0000:00/0000:00:1a.0/usb1/1-1/1-1.6/1-1.6:1.0/bluetooth/hci0/hci0:21/0005:045E:07A2.0001/input/input15
[ 81.672378] hid-generic 0005:045E:07A2.0001: input,hidraw0: BLUETOOTH HID v1.29 Mouse [Microsoft Sculpt Comfort Mouse] on 94:39:e5:4e:fb:66
[ 92.504506] Bluetooth: hci0 corrupted ACL packet
[ 141.584490] atl1c 0000:02:00.0: atl1c: enp2s0 NIC Link is Up<1000 Mbps Full Duplex>
[ 141.584525] IPv6: ADDRCONF(NETDEV_CHANGE): enp2s0: link becomes ready
[ 583.614030] Bluetooth: hci0 ACL packet for unknown connection handle 0
[ 583.614043] Bluetooth: hci0 ACL packet for unknown connection handle 0
[ 583.614049] Bluetooth: hci0 ACL packet for unknown connection handle 0
[ 583.614054] Bluetooth: hci0 ACL packet for unknown connection handle 0
[ 583.614060] Bluetooth: hci0 ACL packet for unknown connection handle 0
[ 583.614066] Bluetooth: hci0 ACL packet for unknown connection handle 0
[ 583.614072] Bluetooth: hci0 ACL packet for unknown connection handle 0
[ 583.614077] Bluetooth: hci0 ACL packet fo...

Read more...

Mal (jaume-ferrete) wrote :

same, very annoying

Thinkpad T440, with Linux Mint 18.1 Cinnamon (based on Ubuntu 16.04) and a Logitech K380 bluetooth keyboard

lsb_release -rd
Description: Linux Mint 18.1 Serena
Release: 18.1

uname -a
Linux xochiquetzal 4.4.0-66-generic #87-Ubuntu SMP Fri Mar 3 15:29:05 UTC 2017 x86_64 x86_64 x86_64 GNU/Linux

the error, 2x (note it seems to reconnecct the device with a different number):

[71585.431481] usb 2-7: USB disconnect, device number 12
[71585.902507] usb 2-7: new full-speed USB device number 14 using xhci_hcd
[71586.032157] usb 2-7: New USB device found, idVendor=8087, idProduct=07dc
[71586.032166] usb 2-7: New USB device strings: Mfr=0, Product=0, SerialNumber=0
[71586.046505] Bluetooth: hci0: read Intel version: 370710018002030d55
[71586.046510] Bluetooth: hci0: Intel device is already patched. patch num: 55
[71594.739976] hid-generic 0005:046D:B342.0009: unknown main item tag 0x0
[71594.740229] input: Keyboard K380 as /devices/pci0000:00/0000:00:14.0/usb2/2-7/2-7:1.0/bluetooth/hci0/hci0:256/0005:046D:B342.0009/input/input25
[71594.740774] hid-generic 0005:046D:B342.0009: input,hidraw2: BLUETOOTH HID v42.00 Keyboard [Keyboard K380] on 5c:c5:d4:04:83:db
[71922.708526] usb 2-7: USB disconnect, device number 14
[71923.127502] usb 2-7: new full-speed USB device number 16 using xhci_hcd
[71923.256785] usb 2-7: New USB device found, idVendor=8087, idProduct=07dc
[71923.256790] usb 2-7: New USB device strings: Mfr=0, Product=0, SerialNumber=0
[71923.271836] Bluetooth: hci0: read Intel version: 370710018002030d55
[71923.271838] Bluetooth: hci0: Intel device is already patched. patch num: 55
[71930.531386] hid-generic 0005:046D:B342.000A: unknown main item tag 0x0
[71930.531558] input: Keyboard K380 as /devices/pci0000:00/0000:00:14.0/usb2/2-7/2-7:1.0/bluetooth/hci0/hci0:256/0005:046D:B342.000A/input/input26
[71930.532179] hid-generic 0005:046D:B342.000A: input,hidraw2: BLUETOOTH HID v42.00 Keyboard [Keyboard K380] on 5c:c5:d4:04:83:db

simon place (psiplace) wrote :

cant see why this is still incomplete, enough here to say confirmed surely.

Changed in linux (Ubuntu):
status: Incomplete → Confirmed
atimonin (atimonin) wrote :

Me too.

$ lsb_release -a
LSB Version: core-9.20160110ubuntu0.2-amd64:core-9.20160110ubuntu0.2-noarch:security-9.20160110ubuntu0.2-amd64:security-9.20160110ubuntu0.2-noarch
Distributor ID: Ubuntu
Description: Ubuntu 16.04.2 LTS
Release: 16.04
Codename: xenial

From dmesg:

[ 1318.894514] input: Bluetooth Mouse as /devices/pci0000:00/0000:00:1d.0/usb2/2-1/2-1.5/2-1.5:1.0/bluetooth/hci0/hci0:38/0005:0A5C:0001.0004/input/input16
[ 1318.894729] hid-generic 0005:0A5C:0001.0004: input,hidraw1: BLUETOOTH HID v0.1e Keyboard [Bluetooth Mouse] on c4:85:08:f3:22:25
[ 1733.394673] hid-generic 0005:046D:B008.0005: unknown main item tag 0x0

Ger (geropa) wrote :

Looking at the logs I noticed that every disconnect threw a line with an UPower debug message. It appears that the xfce4-power-manager was using this daemon to poll the trackpad now and then for its battery level. What seems to have fixed the issue for me is to completely disable and uninstall UPower and xfce4-power-manager.

bunny (zhuhaoqing) wrote :

Me too.

$ dmesg | tail -n15
[47625.666560] hid-generic 0003:0451:E012.0017: unknown main item tag 0x0
[47625.666582] hid-generic 0003:0451:E012.0017: unknown main item tag 0x0
[47625.666606] hid-generic 0003:0451:E012.0017: unknown main item tag 0x0
[47625.666630] hid-generic 0003:0451:E012.0017: unknown main item tag 0x0
[47625.666655] hid-generic 0003:0451:E012.0017: unknown main item tag 0x0
[47625.666678] hid-generic 0003:0451:E012.0017: unknown main item tag 0x0
[47625.666700] hid-generic 0003:0451:E012.0017: unknown main item tag 0x0
[47625.666722] hid-generic 0003:0451:E012.0017: unknown main item tag 0x0
[47625.666743] hid-generic 0003:0451:E012.0017: unknown main item tag 0x0
[47625.666765] hid-generic 0003:0451:E012.0017: unknown main item tag 0x0
[47625.666787] hid-generic 0003:0451:E012.0017: unknown main item tag 0x0
[47625.666809] hid-generic 0003:0451:E012.0017: unknown main item tag 0x0
[47625.666831] hid-generic 0003:0451:E012.0017: unknown main item tag 0x0
[47625.666854] hid-generic 0003:0451:E012.0017: unknown main item tag 0x0
[47625.666876] hid-generic 0003:0451:E012.0017: unknown main item tag 0x0
[47625.666899] hid-generic 0003:0451:E012.0017: unknown main item tag 0x0
[47625.666922] hid-generic 0003:0451:E012.0017: unknown main item tag 0x0
[47625.666945] hid-generic 0003:0451:E012.0017: unknown main item tag 0x0
[47625.666968] hid-generic 0003:0451:E012.0017: unknown main item tag 0x0
[47625.666991] hid-generic 0003:0451:E012.0017: unknown main item tag 0x0
[47625.667013] hid-generic 0003:0451:E012.0017: unknown main item tag 0x0
[47625.667035] hid-generic 0003:0451:E012.0017: unknown main item tag 0x0
[47625.667057] hid-generic 0003:0451:E012.0017: unknown main item tag 0x0
[47625.667080] hid-generic 0003:0451:E012.0017: unknown main item tag 0x0
[47625.667103] hid-generic 0003:0451:E012.0017: unknown main item tag 0x0
[47625.667126] hid-generic 0003:0451:E012.0017: unknown main item tag 0x0
[47625.667150] hid-generic 0003:0451:E012.0017: unknown main item tag 0x0
[47625.667175] hid-generic 0003:0451:E012.0017: unknown main item tag 0x0
[47625.668664] input: Chromium Rubber Ducky as /devices/pci0000:00/0000:00:14.0/usb1/1-1/1-1:1.0/0003:0451:E012.0017/input/input34
[47625.723917] hid-generic 0003:0451:E012.0017: input,hidraw3: USB HID v1.01 Keyboard [Chromium Rubber Ducky] on usb-0000:00:14.0-1/input0

My machine is running Ubuntu 16.04,

$ uname -a
Linux Vostro-5468 4.4.0-101-generic #124-Ubuntu SMP Fri Nov 10 18:29:59 UTC 2017 x86_64 x86_64 x86_64 GNU/Linux

$ lsb_release -a
LSB Version: core-9.20160110ubuntu0.2-amd64:core-9.20160110ubuntu0.2-noarch:printing-9.20160110ubuntu0.2-amd64:printing-9.20160110ubuntu0.2-noarch:security-9.20160110ubuntu0.2-amd64:security-9.20160110ubuntu0.2-noarch
Distributor ID: Ubuntu
Description: Ubuntu 16.04.3 LTS
Release: 16.04
Codename: xenial

Note: `Chromium Rubber Ducky' is just a not so good name for my own project...

Has anyone solved this yet??

I have the same issue with a bluetooth keyboard and kernel 4.14.

The issue was fixed for the Asus T100 (baytrail) 2-in-1 family. See this commit.
https://git.kernel.org/pub/scm/linux/kernel/git/stable/linux-stable-rc.git/commit/?id=c4c285da1ee18582ace366f07e56e355c20ebc49 which is in kernel 4.15.

You could try adding the quirk for your device.

(No kernel maintainer has acknowledged this bug report.)

Ubfan (ubfan1) wrote :

Ubuntu 18.04 still has the "unknown main item tag", occurring on a Thinkpad W520 after a suspend, but the Bluetooth Microsoft Sculpt Comfort Mouse now reconnects successfully.
dmesg grep ...
[34731.172621] hid-generic 0005:045E:07A2.0013: unknown main item tag 0x0
[34731.172743] input: Microsoft Sculpt Comfort Mouse as /devices/pci0000:00/0000:00:1a.0/usb1/1-1/1-1.4/1-1.4:1.0/bluetooth/hci0/hci0:11/0005:045E:07A2.0013/input/input33
[34731.175807] hid-generic 0005:045E:07A2.0013: input,hidraw2: BLUETOOTH HID v1.29 Mouse [Microsoft Sculpt Comfort Mouse] on 60:d8:19:b1:b6:75
[35612.593797] hid-generic 0005:045E:07A2.0014: unknown main item tag 0x0
[35612.593948] input: Microsoft Sculpt Comfort Mouse as /devices/pci0000:00/0000:00:1a.0/usb1/1-1/1-1.4/1-1.4:1.0/bluetooth/hci0/hci0:11/0005:045E:07A2.0014/input/input34
[35612.594158] hid-generic 0005:045E:07A2.0014: input,hidraw2: BLUETOOTH HID v1.29 Mouse [Microsoft Sculpt Comfort Mouse] on 60:d8:19:b1:b6:75

DevX (palma-victor) wrote :

I'm also seeing this issue on a Thinkpad X1 Gen 6-

$ dmesg |grep magicmouse
[ 4650.889726] magicmouse 0005:05AC:030E.0009: unknown main item tag 0x0
[ 4650.890454] magicmouse 0005:05AC:030E.0009: input,hidraw4: BLUETOOTH HID v1.60 Mouse [A1339 trackpad] on b4:6b:fc:f3:79:96
[ 4675.733322] magicmouse 0005:05AC:030E.000A: unknown main item tag 0x0
[ 4675.734254] magicmouse 0005:05AC:030E.000A: input,hidraw4: BLUETOOTH HID v1.60 Mouse [A1339 trackpad] on b4:6b:fc:f3:79:96
[ 4971.850262] magicmouse 0005:05AC:030E.000B: unknown main item tag 0x0
[ 4971.851130] magicmouse 0005:05AC:030E.000B: input,hidraw4: BLUETOOTH HID v1.60 Mouse [A1339 trackpad] on b4:6b:fc:f3:79:96
[ 6591.909033] magicmouse 0005:05AC:030E.000E: unknown main item tag 0x0
[ 6591.909763] magicmouse 0005:05AC:030E.000E: input,hidraw4: BLUETOOTH HID v1.60 Mouse [A1339 trackpad] on b4:6b:fc:f3:79:96

Please let me know if you need me to provide additional information.

Dan Christian (danchristian65) wrote :

I'm seeing this as well in 18.10 with an Apple MagicTouch 1 bluetooth connected to an Asus laptop.
It disconnects every few minutes of use and then reconnects after about 30sec.

Oct 28 09:37:39 marconi bluetoothd[979]: Can't get HIDP connection info
Oct 28 09:37:41 marconi kernel: [48771.558941] magicmouse 0005:05AC:030E.000C: unknown main item tag 0x0
Oct 28 09:37:41 marconi kernel: [48771.559239] input: Apple Wireless Trackpad as /devices/pci0000:00/0000:00:14.0/usb1/1-6/1-6:1.0/bluetooth/hci0/hci0:256/0005:05AC:030E.000C/input/input33
Oct 28 09:37:41 marconi kernel: [48771.559685] magicmouse 0005:05AC:030E.000C: input,hidraw6: BLUETOOTH HID v1.60 Mouse [Apple Wireless Trackpad] on 44:03:2c:ea:91:00
Oct 28 09:37:41 marconi upowerd[1497]: treating change event as add on /sys/devices/pci0000:00/0000:00:14.0/usb1/1-6/1-6:1.0/bluetooth/hci0/hci0:256/0005:05AC:030E.000C/power_supply/hid-cc:c7:60:f1:9c:a9-battery

Dan Christian (danchristian65) wrote :

I did just figure out that it locks up many seconds before the "unknown main item tag 0x0" shows up in the log. That may be an artifact of the error recovery and not indicating the original problem.

It's not clear from the description what is the problem exactly?
I have similar symptoms with "unknown main item tag 0x0" message after timeout.

But my problem is that bluetooth keyboard disconnects on timeout (which is normal), but then, on the first key press it's just loss, while the keyboard reconnects successfully.

It doesn't occurs on the same system with Windows 10 - the key doesn't lost on reconnect.

I wonder if it can be the same problem.

bam (mybigspam) wrote :

It's not clear from the description what is the problem exactly?
I have similar symptoms with "unknown main item tag 0x0" message after timeout.

But my problem is that bluetooth keyboard disconnects on timeout (which is normal), but then, on the first key press it's just loss, while the keyboard reconnects successfully.

It doesn't occurs on the same system with Windows 10 - the key doesn't lost on reconnect.

I wonder if it can be the same problem.

Changed in linux:
importance: Unknown → Medium
status: Unknown → Confirmed
Brad Figg (brad-figg) on 2019-07-24
tags: added: cscc
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.